Subject: Re: Subject: [PATCH] object-file: fix sparse 'plain integer as NULL pointer' error

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Mar 2026 23:05:56 -0700

Ramsay Jones <[email-masked]> writes:

> On 20/03/2026 1:35 am, Junio C Hamano wrote:
>> Ramsay Jones <[email-masked]> writes:
>> 
>>> Signed-off-by: Ramsay Jones <[email-masked]>
>>> ---
>>>
>>> Hi Patrick,
>>>
>>> When you next re-roll your 'ps/object-counting' branch, could you please squash this
>>> into the patch equivalent to the commit 2b24db1110 ("object-file: generalize counting
>>> objects",2026-03-12) in tonight's 'seen' branch.
>> 
>> The topic being in 'next' since March 17th, that is a bit awkward to
>> arrange.  I can queue the fix on top instead.
>
> Hmm, odd. I didn't do a 'branch --contains', obviously, but this only started tonight
> (and I built git yesterday - master, next and seen), so I just assumed ... ;)
>
> Sorry about that.

FWIW, my local build & test did not catch this until today, only
because the version of sparse I was running was a tad old.  After
updating it today, I started seeing the breakage there.